#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    ios_base :: sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int x, y, f, n, i;
    int d1=1;
    int b1=0, b2=0;
    cin>>x>>y;
    while (x>=d1)
    {
        b1++;
        d1=d1*10;
    }
    d1=1;
    while (y>=d1)
    {
        b2++;
        d1=d1*10;
    }

    if (b1>b2)
      {
         n=b1-b2;
         i= b1-1;
         for ( i; n>0;  n--)
         {
            int kx=x/pow(10,i);
            f+=kx*pow(10,i);
            x-=kx*pow(10,i);
            i--;
            b1--;
         }
      }

    else
     {

         n=b2-b1;
         i= b2-1;
         for ( i; n>0;  n--)
         {
            int ky=y/pow(10,i);
            f+=ky*pow(10,i);
            y-=ky*pow(10,i);
            i--;
            b2--;
         }
      }
      while(b1>0)
      {
          int kx=x/pow(10,i);
          int ky=y/pow(10,i);
          if (kx > ky)
          {
              f+=kx*pow(10,i);

          }
          else if (kx == ky)
          {
              f+=kx*pow(10,i);
              f*=10;
              f+=ky*pow(10,i);

          }
          else
          {
            f+=ky*pow(10,i);

          }
          x-=kx*pow(10,i);
          y-=ky*pow(10,i);
          i--;
          b1--;



      }

        cout<<f;


         return 0;
    }